1. Users - Delivery
3enab
🚚 Delivery Application
  • 👤 User Application
  • 🏪 Vendor Application
  • 👨‍💼 Admin Application
  • 🚚 Delivery Application
  • Auth - Delivery
    • Register a new delivery driver
      POST
    • Login delivery driver
      POST
    • Logout delivery driver
      POST
    • Refresh access token
      POST
    • Send phone OTP
      POST
    • Verify phone OTP
      POST
    • Send password reset OTP
      POST
    • Verify password reset OTP
      POST
    • Reset password
      POST
  • Delivery - Orders
    • Get all orders for delivery coordinator
      GET
    • Get driver's assigned orders
      GET
    • Driver — delivered orders report (date range)
      GET
    • Get order details
      GET
    • Send assignment request to driver (Coordinator)
      POST
    • Accept assignment (Driver)
      POST
    • Reject assignment (Driver)
      POST
    • Update order status
      PATCH
    • Coordinator — driver delivered orders report (date/time range)
      GET
  • Users - Delivery
    • Get current delivery user profile
      GET
    • Update current delivery user profile
      PUT
    • Delete current delivery user account
      DELETE
    • Change password
      POST
    • Change driver status (online/offline/busy)
      PATCH
    • Get all drivers by status (Coordinator)
      GET
    • Get driver by ID (Coordinator)
      GET
    • Update driver (Coordinator)
      PUT
    • Delete driver (Coordinator)
      DELETE
    • Get all delivery coordinators
      GET
  • Versions - Delivery
    • Get the latest version for Delivery app
  • Delivery - Delivery Areas
    • Get all delivery areas (delivery app)
    • Get delivery area by ID (delivery app)
  • Orders - Delivery
    • Get active orders for a specific driver
  • Vendors - Delivery
    • List vendors (Coordinator)
  1. Users - Delivery

Get driver by ID (Coordinator)

GET
/api/v1/delivery/users/drivers/{id}
Get detailed information about a specific driver including active orders count

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Responses

🟢200OK
application/json
Driver fetched successfully
Body

Example
{
    "status": "success",
    "message": "Driver fetched successfully",
    "data": {
        "driver": {
            "_id": "64f1a2b3c4d5e6f7890a1234",
            "name": "أحمد محمد",
            "phone": 966501234567,
            "email": "driver@example.com",
            "deliveryStatus": "online",
            "isDeliveryCoordinator": false,
            "createdAt": "2019-08-24T14:15:22.123Z",
            "activeOrders": 2
        }
    }
}
🟠401Unauthorized
🟠404Not Found
Modified at 2026-04-08 13:50:28
Previous
Get all drivers by status (Coordinator)
Next
Update driver (Coordinator)
Built with